﻿namespace DailyDigestWorker.Configuration
{
    // Описывает одну запись в расписании
    public class ScheduleEntry
    {
        // Время запуска (ваше локальное) в формате "HH:mm:ss"
        public required string TimeLocal { get; set; }

        // Юзернейм канала Telegram (без @) для этого времени
        public required string ChannelUsername { get; set; }

        // Опционально: можно добавить другие параметры, специфичные для этого запуска
        // public string? CustomPromptSuffix { get; set; }
    }
}