﻿using System.Collections.Generic; // Для List

namespace DailyDigestWorker.Configuration
{
    public class SchedulingSettings
    {
        // Новый список: содержит объекты с временем и каналом
        public List<ScheduleEntry>? Schedules { get; set; }

        // Идентификатор целевого часового пояса остается
        public string TargetTimeZoneId { get; set; } = "UTC"; // Безопасное значение по умолчанию
    }
}